* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Ribeye', 'Zen Maru Gothic', serif;
    overflow-x: hidden;
    background: #F2D8A7;
}

.splash_logo {
    font-size: 0px;
}

/* ここからローディングの”おかえりなさい” */
h1 span {
    font: 26px Monaco, MonoSpace;
    font-weight: bold;
    height: 200px;
    position: absolute;
    width: 20px;
    top: 10px;
    transform-origin: bottom center;
}

/* お */
.char1 {
    transform: rotate(-30deg);
}

/* か */
.char2 {
    transform: rotate(-20deg);
}

/* え */
.char3 {
    transform: rotate(-10deg);
}

/* り */
.char4 {
    transform: rotate(0deg);
}

/* な */
.char5 {
    transform: rotate(10deg);
}

/* さ */
.char6 {
    transform: rotate(20deg);
}

/* い */
.char7 {
    transform: rotate(30deg);
}




/* 背景動画 */
.video-background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    z-index: -1;
}

.video-background video {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    transform: translate(-50%, -50%);
    object-fit: cover;
}

.video-background::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(247, 245, 245, 0.3);
}

/* ロゴ */
.logo {
    position: fixed;
    top: 0;
    left: 0;
    width: 300px;
    height: 300px;
    z-index: 100;
    padding: 10px;
}

.logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

/* 縦書きタイトル */
.vertical-title {
    position: fixed;
    top: 270px;
    left: 110px;
    writing-mode: vertical-rl;
    font-size: 40px;
    font-weight: bold;
    color: #734002;
    font-family: 'Zen Maru Gothic', serif;
    text-shadow: 5px 2px 4px rgba(238, 241, 226, 0.5);
    letter-spacing: 4px;
    z-index: 100;
}

.social-icon {
    display: flex;
    position: fixed;
    flex-direction: column;
    margin-top: 560px;
    margin-left: 100px;
}

.social-icon img {
    width: 70px;
    top: 100px;
}


/* 右ナビゲーション */
nav {
    position: fixed;
    top: 300px;
    right: 100px;
    transform: translateY(-50%);
    z-index: 100;
}

nav ul {
    list-style: none;
}

nav li {
    margin: 30px 0;
}

nav a {
    color: #734002;
    margin-right: 100px;
    text-decoration: none;
    font-size: 40px;
    font-weight: bold;
    font-family: 'Ribeye', serif;
    text-shadow: 5px 2px 4px #F2D8A7;
    transition: all 0.3s ease;
    display: block;
}

nav a:hover {
    color: #97AB5A;
    transform: translateX(10px);
}

nav .reserve-btn {
    background: #97AB5A;
    color: #F2D8A7;
    text-decoration: none;
    font-size: 24px;
    font-weight: bold;
    font-family: 'Zen Maru Gothic', serif;
    width: 120px;
    height: 120px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
    transition: all 0.3s ease;
    writing-mode: horizontal-tb;
    animation: fuwafuwa 3s ease-in-out infinite alternate;
}

@keyframes fuwafuwa {
    0% {
        transform: translate(0, 0) rotate(-7deg);
    }

    50% {
        transform: translate(0, -7px) rotate(0deg);
    }

    100% {
        transform: translate(0, 0) rotate(7deg);
    }
}

/* スクロールダウン */
.scroll {
    position: absolute;
    right: 75%;
    top: 97%;
    writing-mode: vertical-rl;
    color: #97AB5A;
    font-size: 20px;
}

/* 線のアニメーション部分 */
.scroll::before {
    animation: scroll 2s infinite;
    background-color: #97AB5A;
    bottom: -115px;
    content: "";
    height: 100px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    width: 1px;
    z-index: 2;
}

/* 線の背景色 */
.scroll::after {
    background-color: #ccc;
    bottom: -115px;
    content: "";
    height: 100px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    width: 1px;
}

/* 線のアニメーション */
@keyframes scroll {
    0% {
        transform: scale(1, 0);
        transform-origin: 0 0;
    }

    50% {
        transform: scale(1, 1);
        transform-origin: 0 0;
    }

    51% {
        transform: scale(1, 1);
        transform-origin: 0 100%;
    }

    100% {
        transform: scale(1, 1);
        transform-origin: 0 100%;
    }
}

/* トップRESERVEボタン */
.reserve-btn {
    display: inline-block;
    padding: 15px 40px;
    background: #97AB5A;
    color: #F2D8A7;
    text-decoration: none;
    font-size: 24px;
    font-weight: bold;
    font-family: 'Zen Maru Gothic', serif;
    border-radius: 30px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
    transition: all 0.3s ease;
    text-align: center;
    margin-bottom: 30px;
}

.reserve-btn:hover {
    background: #734002;
    transform: translateY(-3px);
    box-shadow: 0 6px 20px rgba(110, 108, 107, 0.6);
}


/* 足跡装飾 */
.paw-decoration {
    position: fixed;
    right: 2070px;
    top: 400px;
    z-index: 100;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
}

.paw {
    width: 100px;
    height: 100px;
    margin-bottom: 0;
    opacity: 1;
    animation: pawBlink 2.5s ease-in-out infinite;
}

.paw:not(:last-child) {
    margin-bottom: 0px;
}

.paw img {
    width: 400%;
    height: 400%;
    object-fit: contain;
    filter: drop-shadow(2px 2px 3px rgba(115, 64, 2, 0.3));
}

.paw:nth-child(1) {
    animation-delay: 1s;
}

.paw:nth-child(2) {
    animation-delay: 1.5s;
    margin-left: 30px;
}

@keyframes pawBlink {

    0%,
    100% {
        opacity: 1;
        filter: brightness(1);
    }

    50% {
        opacity: 0.2;
        filter: brightness(1.5);
    }
}



/* ハンバーガーメニュー */
.hamburger {
    display: none;
    position: fixed;
    top: 30px;
    margin-left: 313px;
    z-index: 200;
    cursor: pointer;
    width: 50px;
    height: 50px;
    background: #F2D8A7;
    border-radius: 50%;
    padding: 12px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

.hamburger span {
    display: block;
    width: 100%;
    height: 3px;
    background: #734002;
    margin: 5px 0;
    transition: all 0.3s ease;
    border-radius: 2px;
}

.hamburger.active span:nth-child(1) {
    transform: rotate(45deg) translate(7px, 7px);
}

.hamburger.active span:nth-child(2) {
    opacity: 0;
}

.hamburger.active span:nth-child(3) {
    transform: rotate(-45deg) translate(7px, -7px);
}

/* ハンバーガーレスポンシブ対応 */
@media (max-width: 767px) {
    .hamburger {
        display: block;
        overflow-y: scroll;
    }

    .hamburger span {
        display: block;
        width: 100%;
        height: 3px;
        background: #734002;
        margin: 5px 0;
        transition: all 0.3s ease;
        border-radius: 2px;
    }

    .hamburger.active span:nth-child(1) {
        transform: rotate(45deg) translate(7px, 7px);
    }

    .hamburger.active span:nth-child(2) {
        opacity: 0;
    }

    .hamburger.active span:nth-child(3) {
        transform: rotate(-45deg) translate(7px, -7px);
    }

    /* 背景動画 */
    .video-background {
        width: 100%;
    }

    /* 右のナビゲーション */
    nav {
        position: fixed;
        top: 0;
        left: -100%;
        /* 画面外に配置 */
        width: 100%;
        height: 100vh;
        background: rgba(242, 216, 167, 0.95);
        display: flex;
        justify-content: center;
        align-items: center;
        transition: left 0.3s ease;
        transform: none;
    }

    nav.active {
        left: 0;
    }

    nav ul {
        text-align: center;
    }

    nav li {
        margin: 20px 0;
    }

    nav a {
        font-size: 28px;
        margin-right: 0;
    }

    nav .reserve-btn {
        margin: 20px auto 0;
    }


    .mobile-nav {
        display: block;
    }

    .scroll {
        display: none;
    }

    /* 左ロゴ */
    .logo {
        width: 150px;
        height: 150px;
        position: absolute;
    }

    /* 左タイトル、店名 */
    .vertical-title {
        font-size: 24px;
        top: 65px;
        left: 130px;
        position: absolute;
        writing-mode: horizontal-tb;
    }

    .social-icon {
        display: flex;
        flex-direction: column;
        margin-top: 100px;
        margin-left: 310px;
    }

    .social-icon img {
        width: 50px;
    }

    /* 足跡装飾 */
    .paw-decoration {
        position: absolute;
        right: 1200px;
        top: 280px;
        z-index: 100;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 5px;
    }


    /* 一番上の動くハリネズミ（アニメーション） */
    .box-decoration3 {
        width: 50px;
        position: relative;
        top: 65px;
        margin-left: 1300px;
        transform-origin: center bottom;
        animation: yurayura 2s linear infinite;
    }

    @keyframes yurayura {

        0%,
        100% {
            transform: rotate(10deg);
        }

        50% {
            transform: rotate(-10deg);
        }
    }
}

/* ここまで */
/* 中央コンテンツボックス */

/* 一番上の動くハリネズミ（アニメーション） */
.box-decoration3 {
    width: 100px;
    position: relative;
    top: -637px;
    margin-left: 1300px;
    transform-origin: center bottom;
    animation: yurayura 2s linear infinite;
}

@keyframes yurayura {

    0%,
    100% {
        transform: rotate(10deg);
    }

    50% {
        transform: rotate(-10deg);
    }
}

.content-wrapper {
    position: absolute;
    width: 100%;
    top: -50px;
}

.content-box {
    width: 435px;
    margin-top: -700px;
    margin-left: 1000px;
    background: #F2D8A7;
    border-radius: 15px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);
}

.content-box::before {
    content: '';
    position: absolute;
    top: -30px;
    left: 50%;
    transform: translateX(-50%);
    width: 120px;
    height: 120px;
    background-image: url('img/soushoku2.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    z-index: 10;
}


.content-box h2 {
    color: #402401;
    margin-bottom: 20px;
    margin: 30px;
    font-size: 28px;
    justify-content: center;
    border-bottom: 3px solid #97AB5A;
    padding-bottom: 10px;
}

/* トップのハリネズミ画像 */
.top {
    width: 100%;
    border-radius: 15px;
    position: relative;
}

.top img {
    width: 50%;
    height: 0px;
    display: block;
    opacity: 0.3;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
}

/* トップ縦書き文字"いっしょに あそばない？" */
.top-text {
    position: absolute;
    writing-mode: horizontal-tb;
    top: 230px;
    right: 680px;
    font-size: 25px;
    font-weight: bold;
    color: #402401;
    font-family: 'Zen Maru Gothic', serif;
    text-shadow: 8px 5px 4px #F2D8A7;
    letter-spacing: 2px;
    z-index: 1;
    animation: fadeIn 1.5s ease-in;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(20px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}


/* 空き状況のp */
.overlay-content {
    text-align: center;
    font-family: 'Zen Maru Gothic', serif;

    color: #734002;
}

.overlay-content p {
    margin-bottom: 30px;
    margin-top: 30px;
}

/* 中央コンテンツボックスレスポンシブ対応 */
@media (max-width: 767px) {

    /* 一番上の動くハリネズミ（アニメーション） */
    .box-decoration3 {
        width: 100px;
        position: absolute;
        top: 100px;
        margin-left: 220px;
        background-position: center bottom;
        animation: yurayura 2s linear infinite;
    }

    @keyframes yurayura {

        0%,
        100% {
            transform: rotate(10deg);
        }

        50% {
            transform: rotate(-10deg);
        }
    }

    .content-box {
        position: relative;
        width: 70%;
        top: -101px;
        margin: 80px auto;
        padding: 30px 20px;
    }

    .content-box h2 {
        font-size: 22px;
    }

    /* トップ文字"いっしょに　あそばない？" */
    .top-text {
        position: absolute;
        writing-mode: horizontal-tb;
        white-space: nowrap;
        top: 67px;
        right: 125px;
        font-size: 15px;
        font-weight: bold;
        color: #402401;
        font-family: 'Zen Maru Gothic', serif;
        text-shadow: 8px 5px 4px #F2D8A7;
        letter-spacing: 0.2px;
        z-index: 1;
        animation: fadeIn 1.5s ease-in;
    }



    /* 空き状況のp */
    .overlay-content {
        font-family: 'Zen Maru Gothic', serif;
        margin-bottom: 0;
        padding-bottom: 0;
        color: #734002;
    }

    .overlay-content p {
        margin-bottom: 0 !important;
        padding-bottom: 0 !important;
    }

    /* RESERVEボタン */
    .reserve-btn {
        display: grid;
        padding: 12px 40px;
        background: #97AB5A;
        color: #F2D8A7;
        text-decoration: none;
        font-size: 18px;
        font-weight: bold;
        font-family: 'Zen Maru Gothic', serif;
        border-radius: 30px;
        text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
    }

    .reserve-btn:hover {
        background: #734002;
        transform: translateY(-3px);
        box-shadow: 0 6px 20px rgba(110, 108, 107, 0.6);
    }
}

/* ここまで */
/*スライダーのためのCSS*/
.imagearea {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 40px 20px;
    position: relative;
    overflow: hidden;
}

.slider {
    width: 100%;
    list-style: none;
}

.slider li {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    float: none !important;
    display: block;
}

.slider img {
    width: 100% !important;
    height: 300px;
    object-fit: cover;
    display: block;
    border-radius: 0 50px 0 50px;
}

/* slickのスライド設定 */
.slider .slick-slide {
    margin: 0 10px;
    box-sizing: border-box;
    outline: none;
}

.slider .slick-list {
    margin: 0 -10px;
    overflow: hidden;
}

.slider .slick-track {
    display: flex !important;
    align-items: center;
}

.slider .slick-slide>div {
    width: 100%;
}

/* 矢印の設定 */
.slick-prev,
.slick-next {
    position: absolute;
    top: 35%;
    transform: translateY(-50%);
    cursor: pointer;
    outline: none;
    border-top: 3px solid #402401;
    border-right: 3px solid #402401;
    height: 5px;
    width: 5px;
    z-index: 10;
    background: transparent;
}

.slick-prev {
    left: 10px;
    transform: translateY(-50%) rotate(-135deg);
}

.slick-next {
    right: 10px;
    transform: translateY(-50%) rotate(45deg);
}

.slick-prev:hover,
.slick-next:hover {
    border-color: #333;
}

/* slickのデフォルト矢印を非表示 */
.slick-prev:before,
.slick-next:before {
    content: '';
    display: none;
}

/* ドットナビゲーションの設定 */
.slick-dots {
    text-align: center;
    margin: 30px 0 0 0;
    padding: 0;
    list-style: none;
    position: relative;
    bottom: auto;

}

.slick-dots li {
    display: inline-block;

    margin: 0 5px;
}

.slick-dots button {
    color: transparent;
    outline: none;
    width: 12px;
    height: 12px;
    display: block;
    border-radius: 50%;
    background: #402401;
    border: none;
    padding: 0;
    cursor: pointer;
    transition: all 0.3s;
    font-size: 0;
    line-height: 0;
}

.slick-dots .slick-active button {
    background: #734002;
    transform: scale(1.2);
}

/* 重なり防止の追加設定 */
.slick-slide {
    visibility: hidden;
}

.slick-slide.slick-active {
    visibility: visible;
}

/* スライドレスポンシブ対応 */
@media (max-width: 767px) {
    .slider img {
        width: 100px;
        height: 150px;
    }

    .slick-prev {
        left: 5px;
    }

    .slick-next {
        right: 5px;
    }

    /* ドットナビゲーションの設定 */
    .slick-dots {
        white-space: nowrap;
        padding: 0 10px;
        text-align: center;
    }
}

/* ここまで */

/* ここからコンセプト */
#concept {
    width: 435px;
    margin: 0 auto;
    text-align: center;
    padding: 60px 20px;
    background: rgba(255, 255, 255, 0.9);
    border-radius: 15px;
    background: #F2D8A7;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);
}

/* ２つめのハリネズミの画像（アニメーション） */
.box-decoration1 {
    position: absolute;
    top: 1060px;
    left: 67%;
    transform: translateX(-50%);
    width: 80px;
    height: 150px;
    z-index: 10;
    object-fit: contain;
    animation: yurayura 2s linear infinite;
}

@keyframes yurayura {

    0%,
    100% {
        transform: rotate(10deg);
    }

    50% {
        transform: rotate(-10deg);
    }
}

.concept h2 {
    margin-bottom: 20px;
    font-size: 28px;
    justify-content: center;
    border-bottom: 3px solid #97AB5A;
    margin: 10px;
}

#concept p {
    color: #402401;
    line-height: 1.8;
    margin-bottom: 30px;
    font-family: 'Zen Maru Gothic', serif;
}

.hedgehog-image {
    width: 300px;
    border-radius: 48% 56% 29% 72% / 26% 56% 44% 72%;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);
    margin-top: 30px;
}

.hedgehog-image2 {
    width: 300px;
    border-radius: 48% 56% 29% 72% / 26% 56% 44% 72%;
    margin-left: 10px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);
    margin-top: 50px;
    transform: scaleX(-1);
}

.hedgehog-image3 {
    width: 300px;
    border-radius: 48% 56% 29% 72% / 26% 56% 44% 72%;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);
    margin-bottom: 0px;
}

/* conceptレスポンシブ対応 */
@media (max-width: 767px) {

    /* ２つめのハリネズミの画像（アニメーション） */
    .box-decoration1 {
        position: absolute;
        top: 605px;
        left: 67%;
        transform: translateX(-50%);
        width: 80px;
        height: 150px;
        z-index: 10;
        object-fit: contain;
        animation: yurayura 2s linear infinite;
    }

    @keyframes yurayura {

        0%,
        100% {
            transform: rotate(10deg);
        }

        50% {
            transform: rotate(-10deg);
        }
    }

    .concept p {
        color: #402401;
        margin-bottom: 30px;
        font-family: 'Zen Maru Gothic', serif;
        font-size: 13px;
        letter-spacing: 0.8px;
    }

    .hedgehog-image {
        width: 230px;
        border-radius: 48% 56% 29% 72% / 26% 56% 44% 72%;
        box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);
        margin-top: 30px;
    }

    .hedgehog-image2 {
        width: 230px;
        border-radius: 48% 56% 29% 72% / 26% 56% 44% 72%;
        margin-left: 0.1px;
        box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);
        margin-top: 30px;
    }

    .hedgehog-image3 {
        width: 230px;
        border-radius: 48% 56% 29% 72% / 26% 56% 44% 72%;
        box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);
        margin-top: 50px;

    }
}

/* ここまで */

/* ここからアクセス */
.access {
    width: 100%;
    text-align: center;
    padding: 60px 30px 20px;
    color: #402401;
}

/* 3つめのマグカップのハリネズミ */
.box-decoration2 {
    position: absolute;
    top: 2460px;
    left: 8.5%;
    transform: translateX(-50%);
    width: 150px;
    height: 150px;
    z-index: 10;
    object-fit: contain;
    animation: yurayura 2s linear infinite;
}

@keyframes yurayura {

    0%,
    100% {
        transform: rotate(10deg);
    }

    50% {
        transform: rotate(-10deg);
    }
}


/* Googleボタン */
.google-btn {
    display: inline-block;
    padding: 15px 40px;
    margin-bottom: 20px;
    background: #97AB5A;
    font-family: 'Zen Maru Gothic', serif;
    color: #F2D8A7;
    text-decoration: none;
    font-size: 24px;
    font-weight: bold;
    border-radius: 30px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
    transition: all 0.3s ease;
    text-align: center;
}

.google-btn:hover {
    background: #734002;
    transform: translateY(-3px);
    box-shadow: 0 6px 20px rgba(110, 108, 107, 0.6);
}

.access h2 {
    margin-bottom: 20px;
    font-size: 28px;
    justify-content: center;
    border-bottom: 3px solid #97AB5A;
    padding-bottom: 10px;
}

.access p {
    color: #402401;
    line-height: 1.8;
    font-family: 'Zen Maru Gothic', serif;
    margin-bottom: 15px;
}

.access img {
    width: 100%;
    border-radius: 50px;
}



/* ここからアクセスのレスポンシブ対応 */
@media (max-width: 767px) {

    /* 3つめのマグカップのハリネズミ */
    .box-decoration2 {
        position: absolute;
        top: 1770px;
        left: -110px;
        transform: translateX(-50%);
        width: 100px;
        height: 100px;
        z-index: 10;
        object-fit: contain;
        animation: yurayura 2s linear infinite;
    }

    @keyframes yurayura {

        0%,
        100% {
            transform: rotate(10deg);
        }

        50% {
            transform: rotate(-10deg);
        }
    }

    .access img {
        width: 120%;
        border-radius: 30px;
        padding: 0 20px;
        display: block;
        margin: 20px auto;
        text-align: center;
    }

    /* Googleボタン */
    .google-btn {
        width: 120%;
        height: 50px;
        background: #97AB5A;
        font-family: 'Zen Maru Gothic', serif;
        color: #F2D8A7;
        font-size: 20px;
        font-weight: bold;
        border-radius: 30px;
        text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
        white-space: nowrap;
        margin-bottom: 30px;

    }

    .google-btn:hover {
        background: #734002;
        transform: translateY(-3px);
        text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
        box-shadow: 0 6px 20px rgba(110, 108, 107, 0.6);
    }

    .access {
        width: 100%;
        text-align: center;
        color: #402401;
    }


    .access h3 {
        font-size: 20px;
        padding: 10px 0;
        justify-content: center;
    }

    .access h4 {
        padding: 10px 0;
        color: #97AB5A;
    }

    .access p {
        color: #402401;
        line-height: 1.5;
        font-family: 'Zen Maru Gothic', serif;
        margin: 10px 20px 0;
        font-size: 13px;
    }
}

/* ここまで */
/* ここからフッター */
footer {
    position: relative;
    /* ← これが重なりの土台になる */
    background: #4a3520;
    border-radius: 50% 0;
    color: #F2D8A7;
    padding: 60px 40px 40px;
    overflow: visible;
    z-index: 1;
}

.footer-content {
    max-width: 1200px;
    margin: 0 auto;
    position: relative;
    z-index: 2;
    /* ← テキストがハリネズミより上に来ないように調整可能 */
}


/* ハリネズミ画像をフッターに重ねる */
.box-decoration4 {
    position: absolute;
    top: -150px;
    /* ← 境界線の上に乗せるためにマイナスに */
    left: 225px;
    width: 200px;
    z-index: 3;
    overflow: visible;
    transform: scale(-1, 1);
}

/* ２つ目のハリネズミ画像 */
.box-decoration5 {
    position: absolute;
    top: -95px;
    left: -50px;
    width: 200px;
    z-index: 3;
    overflow: visible;
    transform: scale(-1, 1);
}

.footer-title {
    font-size: 60px;
    font-weight: bold;
    margin: auto 0;
    color: #97AB5A;
    letter-spacing: 1px;
    font-family: 'Ribeye', serif;
    line-height: 1;
    text-align: center;
}

.footer-bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 40px;
}

/* コピーライト */
.copyright {
    font-size: 18px;
    color: #f5f5dc;
    text-align: center;
    justify-content: center;
    align-items: center;
}

.footer-top-link {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-decoration: none;
    color: #f5f5dc;
    transition: transform 0.3s;
}

.footer-top-link:hover {
    transform: translateY(-5px);
}

.footer-logo {
    width: 100%;
    height: 100px;
    display: flex;
    position: relative;
    overflow: hidden;
}

.footer-logo img {
    width: 100px;
    height: 100%;
    object-fit: cover;
}



/* フッターのレスポンシブ対応 */
@media (max-width: 768px) {
    footer {
        padding: 30px 20px 30px;
    }

    .footer-top {
        flex-direction: column;
        gap: 30px;
    }

    .footer-nav a {
        font-size: 20px;
    }

    .footer-logo img {
        padding: 0;
    }


    .footer-title {
        font-size: 30px;
        padding: 30px 0;
        color: #a8b896;
        letter-spacing: 1px;
        font-family: 'Ribeye', serif;
        line-height: 1;
        text-align: center;
    }


    /* コピーライト */
    .copyright {
        font-size: 13px;
        color: #f5f5dc;
        text-align: center;
        justify-content: center;
        align-items: center;
    }

    /* フッター１つめハリネズミ画像 */
    .box-decoration4 {
        position: absolute;
        top: -100px;
        /* ← 境界線の上に乗せるためにマイナスに */
        left: 70px;
        width: 180px;
        z-index: 3;
        overflow: visible;
        transform: scale(-1, 1);
    }

    /* フッター２つ目の画像 */
    .box-decoration5 {
        position: absolute;
        top: -58px;
        left: -70px;
        width: 180px;
        z-index: 3;
        overflow: visible;
        transform: scale(-1, 1);
    }
}

/* ここまでフッター */